#include <stdio.h>

double a[] = {2.38, 3.142, 5.674, 8.257, 6.44};
#define NUM(ax) (sizeof(ax) / sizeof(ax[0]))

int main () {
    int n; 
    double sum = 0.0;

    for (n = 0; n < NUM(a); ++n)
        sum += a[n];

    printf("Average: %f\n", sum / NUM(a));
    return 0;
}


